Subject: bug#40639: 26.3; Child frame border color not rendered when child frame has no minibuffer

From: martin rudalics <[email-masked]>
Date: Thu, 16 Apr 2020 10:31:53 +0200

> I don't think face mapping is directly involved, this sounds like some
 > X event causes the change.

You are probably right.  Digging into this a bit further I found that
calling gui_consider_frame_title for child frames fixes it.  So it looks
like a combination of explicitly selecting a frame via Fselect_window of
its selected window and subsequently calling init_iterator would orderly
rebuild the face cache of that frame.  A wild guess, I know ...

martin